Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.xml.dtd.parse
Class PrologParser

    java.lang.Object
      convert.xml.dtd.parse.PrologParser

All Implemented Interfaces:
  java.lang.Cloneable

    public class PrologParser

extends java.lang.Object
implements java.lang.Cloneable

Parses the prolog of an XML document. A `PrologParser` object represents the state of a parse of the prolog. It operates on the tokens returned by `Tokenizer.tokenizeProlog`. It does not build any data structures to represent the information in the prolog; instead it tells the caller the action needed for each token. The state of the parse can be saved by using the `clone` method.

Field Summary
`static int` | `ACTION_ATTLIST_ELEMENT_NAME`
`static int` | `ACTION_ATTRIBUTE_ENUM_VALUE`
`static int` | `ACTION_ATTRIBUTE_NAME`
`static int` | `ACTION_ATTRIBUTE_NOTATION_VALUE`
`static int` | `ACTION_ATTRIBUTE_TYPE_CDATA`
`static int` | `ACTION_ATTRIBUTE_TYPE_ENTITIES`
`static int` | `ACTION_ATTRIBUTE_TYPE_ENTITY`
`static int` | `ACTION_ATTRIBUTE_TYPE_ID`
`static int` | `ACTION_ATTRIBUTE_TYPE_IDREF`
`static int` | `ACTION_ATTRIBUTE_TYPE_IDREFS`
`static int` | `ACTION_ATTRIBUTE_TYPE_NMTOKEN`
`static int` | `ACTION_ATTRIBUTE_TYPE_NMTOKENS`
`static int` | `ACTION_ATTRIBUTE_TYPE_NOTATION`
`static int` | `ACTION_COMMENT`
`static int` | `ACTION_CONTENT_ANY`
`static int` | `ACTION_CONTENT_ELEMENT`
`static int` | `ACTION_CONTENT_ELEMENT_OPT`
`static int` | `ACTION_CONTENT_ELEMENT_PLUS`
`static int` | `ACTION_CONTENT_ELEMENT_REP`
`static int` | `ACTION_CONTENT_EMPTY`
`static int` | `ACTION_CONTENT_PCDATA`
`static int` | `ACTION_DECL_CLOSE`
`static int` | `ACTION_DEFAULT_ATTRIBUTE_VALUE`
`static int` | `ACTION_DOCTYPE_CLOSE`
`static int` | `ACTION_DOCTYPE_NAME`
`static int` | `ACTION_DOCTYPE_PUBLIC_ID`
`static int` | `ACTION_DOCTYPE_SUBSET`
`static int` | `ACTION_DOCTYPE_SYSTEM_ID`
`static int` | `ACTION_ELEMENT_NAME`
`static int` | `ACTION_ENTITY_NOTATION_NAME`
`static int` | `ACTION_ENTITY_PUBLIC_ID`
`static int` | `ACTION_ENTITY_SYSTEM_ID`
`static int` | `ACTION_ENTITY_VALUE_NO_PEREFS`
`static int` | `ACTION_ENTITY_VALUE_WITH_PEREFS`
`static int` | `ACTION_ENUM_GROUP_OPEN`
`static int` | `ACTION_FIXED_ATTRIBUTE_VALUE`
`static int` | `ACTION_GENERAL_ENTITY_NAME`
`static int` | `ACTION_GROUP_CHOICE`
`static int` | `ACTION_GROUP_CLOSE`
`static int` | `ACTION_GROUP_CLOSE_OPT`
`static int` | `ACTION_GROUP_CLOSE_PLUS`
`static int` | `ACTION_GROUP_CLOSE_REP`
`static int` | `ACTION_GROUP_OPEN`
`static int` | `ACTION_GROUP_SEQUENCE`
`static int` | `ACTION_IGNORE_SECT`
`static int` | `ACTION_IMPLIED_ATTRIBUTE_VALUE`
`static int` | `ACTION_INNER_PARAM_ENTITY_REF`
`static int` | `ACTION_NONE`
`static int` | `ACTION_NOTATION_GROUP_OPEN`
`static int` | `ACTION_NOTATION_NAME`
`static int` | `ACTION_NOTATION_PUBLIC_ID`
`static int` | `ACTION_NOTATION_SYSTEM_ID`
`static int` | `ACTION_OUTER_PARAM_ENTITY_REF`
`static int` | `ACTION_PARAM_ENTITY_NAME`
`static int` | `ACTION_PI`
`static int` | `ACTION_REQUIRED_ATTRIBUTE_VALUE`
`static int` | `ACTION_SECTION_STATUS_IGNORE`
`static int` | `ACTION_SECTION_STATUS_INCLUDE`
`static int` | `ACTION_TEXT_DECL`
`static int` | `ACTION_XML_DECL`
`static byte` | `EXTERNAL_ENTITY`
`static byte` | `INTERNAL_ENTITY`
`static byte` | `PROLOG`

Constructor Summary
`PrologParser(byte type)`

Method Summary
`int` | `action(int tok, java.lang.String token)`
`java.lang.Object` | `clone()`
`void` | `end()`
`boolean` | `expectingAttributeName()`
`int` | `getGroupLevel()`
`boolean` | `isCompatible(PrologParser orig)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACTION_NONE

    public static final int ACTION_NONE

See Also:
  Constant Field Values

### ACTION_XML_DECL

    public static final int ACTION_XML_DECL

See Also:
  Constant Field Values

### ACTION_TEXT_DECL

    public static final int ACTION_TEXT_DECL

See Also:
  Constant Field Values

### ACTION_PI

    public static final int ACTION_PI

See Also:
  Constant Field Values

### ACTION_COMMENT

    public static final int ACTION_COMMENT

See Also:
  Constant Field Values

### ACTION_DOCTYPE_NAME

    public static final int ACTION_DOCTYPE_NAME

See Also:
  Constant Field Values

### ACTION_DOCTYPE_SYSTEM_ID

    public static final int ACTION_DOCTYPE_SYSTEM_ID

See Also:
  Constant Field Values

### ACTION_DOCTYPE_PUBLIC_ID

    public static final int ACTION_DOCTYPE_PUBLIC_ID

See Also:
  Constant Field Values

### ACTION_DOCTYPE_SUBSET

    public static final int ACTION_DOCTYPE_SUBSET

See Also:
  Constant Field Values

### ACTION_DOCTYPE_CLOSE

    public static final int ACTION_DOCTYPE_CLOSE

See Also:
  Constant Field Values

### ACTION_GENERAL_ENTITY_NAME

    public static final int ACTION_GENERAL_ENTITY_NAME

See Also:
  Constant Field Values

### ACTION_PARAM_ENTITY_NAME

    public static final int ACTION_PARAM_ENTITY_NAME

See Also:
  Constant Field Values

### ACTION_ENTITY_VALUE_WITH_PEREFS

    public static final int ACTION_ENTITY_VALUE_WITH_PEREFS

See Also:
  Constant Field Values

### ACTION_ENTITY_VALUE_NO_PEREFS

    public static final int ACTION_ENTITY_VALUE_NO_PEREFS

See Also:
  Constant Field Values

### ACTION_ENTITY_SYSTEM_ID

    public static final int ACTION_ENTITY_SYSTEM_ID

See Also:
  Constant Field Values

### ACTION_ENTITY_PUBLIC_ID

    public static final int ACTION_ENTITY_PUBLIC_ID

See Also:
  Constant Field Values

### ACTION_ENTITY_NOTATION_NAME

    public static final int ACTION_ENTITY_NOTATION_NAME

See Also:
  Constant Field Values

### ACTION_NOTATION_NAME

    public static final int ACTION_NOTATION_NAME

See Also:
  Constant Field Values

### ACTION_NOTATION_SYSTEM_ID

    public static final int ACTION_NOTATION_SYSTEM_ID

See Also:
  Constant Field Values

### ACTION_NOTATION_PUBLIC_ID

    public static final int ACTION_NOTATION_PUBLIC_ID

See Also:
  Constant Field Values

### ACTION_ATTRIBUTE_NAME

    public static final int ACTION_ATTRIBUTE_NAME

See Also:
  Constant Field Values

### ACTION_ATTRIBUTE_TYPE_CDATA

    public static final int ACTION_ATTRIBUTE_TYPE_CDATA

See Also:
  Constant Field Values

### ACTION_ATTRIBUTE_TYPE_ID

    public static final int ACTION_ATTRIBUTE_TYPE_ID

See Also:
  Constant Field Values

### ACTION_ATTRIBUTE_TYPE_IDREF

    public static final int ACTION_ATTRIBUTE_TYPE_IDREF

See Also:
  Constant Field Values

### ACTION_ATTRIBUTE_TYPE_IDREFS

    public static final int ACTION_ATTRIBUTE_TYPE_IDREFS

See Also:
  Constant Field Values

### ACTION_ATTRIBUTE_TYPE_ENTITY

    public static final int ACTION_ATTRIBUTE_TYPE_ENTITY

See Also:
  Constant Field Values

### ACTION_ATTRIBUTE_TYPE_ENTITIES

    public static final int ACTION_ATTRIBUTE_TYPE_ENTITIES

See Also:
  Constant Field Values

### ACTION_ATTRIBUTE_TYPE_NMTOKEN

    public static final int ACTION_ATTRIBUTE_TYPE_NMTOKEN

See Also:
  Constant Field Values

### ACTION_ATTRIBUTE_TYPE_NMTOKENS

    public static final int ACTION_ATTRIBUTE_TYPE_NMTOKENS

See Also:
  Constant Field Values

### ACTION_ATTRIBUTE_TYPE_NOTATION

    public static final int ACTION_ATTRIBUTE_TYPE_NOTATION

See Also:
  Constant Field Values

### ACTION_ATTRIBUTE_ENUM_VALUE

    public static final int ACTION_ATTRIBUTE_ENUM_VALUE

See Also:
  Constant Field Values

### ACTION_ATTRIBUTE_NOTATION_VALUE

    public static final int ACTION_ATTRIBUTE_NOTATION_VALUE

See Also:
  Constant Field Values

### ACTION_ATTLIST_ELEMENT_NAME

    public static final int ACTION_ATTLIST_ELEMENT_NAME

See Also:
  Constant Field Values

### ACTION_IMPLIED_ATTRIBUTE_VALUE

    public static final int ACTION_IMPLIED_ATTRIBUTE_VALUE

See Also:
  Constant Field Values

### ACTION_REQUIRED_ATTRIBUTE_VALUE

    public static final int ACTION_REQUIRED_ATTRIBUTE_VALUE

See Also:
  Constant Field Values

### ACTION_DEFAULT_ATTRIBUTE_VALUE

    public static final int ACTION_DEFAULT_ATTRIBUTE_VALUE

See Also:
  Constant Field Values

### ACTION_FIXED_ATTRIBUTE_VALUE

    public static final int ACTION_FIXED_ATTRIBUTE_VALUE

See Also:
  Constant Field Values

### ACTION_ELEMENT_NAME

    public static final int ACTION_ELEMENT_NAME

See Also:
  Constant Field Values

### ACTION_CONTENT_ANY

    public static final int ACTION_CONTENT_ANY

See Also:
  Constant Field Values

### ACTION_CONTENT_EMPTY

    public static final int ACTION_CONTENT_EMPTY

See Also:
  Constant Field Values

### ACTION_CONTENT_PCDATA

    public static final int ACTION_CONTENT_PCDATA

See Also:
  Constant Field Values

### ACTION_GROUP_OPEN

    public static final int ACTION_GROUP_OPEN

See Also:
  Constant Field Values

### ACTION_GROUP_CLOSE

    public static final int ACTION_GROUP_CLOSE

See Also:
  Constant Field Values

### ACTION_GROUP_CLOSE_REP

    public static final int ACTION_GROUP_CLOSE_REP

See Also:
  Constant Field Values

### ACTION_GROUP_CLOSE_OPT

    public static final int ACTION_GROUP_CLOSE_OPT

See Also:
  Constant Field Values

### ACTION_GROUP_CLOSE_PLUS

    public static final int ACTION_GROUP_CLOSE_PLUS

See Also:
  Constant Field Values

### ACTION_GROUP_CHOICE

    public static final int ACTION_GROUP_CHOICE

See Also:
  Constant Field Values

### ACTION_GROUP_SEQUENCE

    public static final int ACTION_GROUP_SEQUENCE

See Also:
  Constant Field Values

### ACTION_CONTENT_ELEMENT

    public static final int ACTION_CONTENT_ELEMENT

See Also:
  Constant Field Values

### ACTION_CONTENT_ELEMENT_REP

    public static final int ACTION_CONTENT_ELEMENT_REP

See Also:
  Constant Field Values

### ACTION_CONTENT_ELEMENT_OPT

    public static final int ACTION_CONTENT_ELEMENT_OPT

See Also:
  Constant Field Values

### ACTION_CONTENT_ELEMENT_PLUS

    public static final int ACTION_CONTENT_ELEMENT_PLUS

See Also:
  Constant Field Values

### ACTION_OUTER_PARAM_ENTITY_REF

    public static final int ACTION_OUTER_PARAM_ENTITY_REF

See Also:
  Constant Field Values

### ACTION_INNER_PARAM_ENTITY_REF

    public static final int ACTION_INNER_PARAM_ENTITY_REF

See Also:
  Constant Field Values

### ACTION_IGNORE_SECT

    public static final int ACTION_IGNORE_SECT

See Also:
  Constant Field Values

### ACTION_DECL_CLOSE

    public static final int ACTION_DECL_CLOSE

See Also:
  Constant Field Values

### ACTION_ENUM_GROUP_OPEN

    public static final int ACTION_ENUM_GROUP_OPEN

See Also:
  Constant Field Values

### ACTION_NOTATION_GROUP_OPEN

    public static final int ACTION_NOTATION_GROUP_OPEN

See Also:
  Constant Field Values

### ACTION_SECTION_STATUS_IGNORE

    public static final int ACTION_SECTION_STATUS_IGNORE

See Also:
  Constant Field Values

### ACTION_SECTION_STATUS_INCLUDE

    public static final int ACTION_SECTION_STATUS_INCLUDE

See Also:
  Constant Field Values

### PROLOG

    public static final byte PROLOG

See Also:
  Constant Field Values

### EXTERNAL_ENTITY

    public static final byte EXTERNAL_ENTITY

See Also:
  Constant Field Values

### INTERNAL_ENTITY

    public static final byte INTERNAL_ENTITY

See Also:
  Constant Field Values

Constructor Detail

### PrologParser

    public PrologParser(byte type)

Method Detail

### end

    public final void end()
                   throws PrologSyntaxException

  Throws:
    `PrologSyntaxException`

### action

    public int action(int tok,
                      java.lang.String token)
               throws PrologSyntaxException

  Throws:
    `PrologSyntaxException`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### isCompatible

    public boolean isCompatible(PrologParser orig)

### getGroupLevel

    public final int getGroupLevel()

### expectingAttributeName

    public boolean expectingAttributeName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD